Issue 67663 - Basic controls: bring the "Vertical Alignment" property to the UI
Summary: Basic controls: bring the "Vertical Alignment" property to the UI
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: scripting (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial
Target Milestone: 4.2.0
Assignee: ab
QA Contact:
URL:
Keywords:
Depends on: 67662
Blocks:
  Show dependency tree
 
Reported: 2006-07-21 14:26 UTC by Frank Schönheit
Modified: 2017-05-20 09:32 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Patch to introduce vertical alignment gui for dialog editor (1.25 KB, patch)
2012-06-04 15:10 UTC, hanya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2006-07-21 14:26:53 UTC
Since quite a while, certain dialog controls - core-wise - support a property which
controls the vertical alignment of their text. This holds for option buttons,
check boxes, command buttons, and fixed texts. However, this setting never made
it into the UI, i.e. into the property browser.

We should add this useful setting to the UI.

(This issue is a spin-off from issue 63416.)
Comment 1 Frank Schönheit 2006-07-21 14:28:29 UTC
note: Issue 67662 requests the same for form controls, and is fixed in CWS
dba205a. After this CWS has been integrated, the only thing which is left for
this issue here is to switch on the property for basic controls (this is one
line), and extend the file format accordingly.
Comment 2 ab 2006-08-21 14:44:24 UTC
Should be done as soon as possible to keep the control functionality
consistant -> STARTED, 2.1
Comment 3 ab 2006-08-25 07:50:38 UTC
2.1 next try...
Comment 4 ab 2006-10-06 06:24:06 UTC
Can not be done for 2.1 any more due to the early UI freeze -> OOo 2.x
Comment 5 Martin Hollmichel 2007-12-07 12:13:41 UTC
set target to 3.x according to http://wiki.services.openoffice.org/wiki/Target_3x
Comment 6 moctecheckva 2010-11-10 16:04:14 UTC
Created attachment 73072
Comment 7 hanya 2012-06-04 15:04:59 UTC
The attached file by moctecheckva is spam. Please remove it.
Comment 8 hanya 2012-06-04 15:10:05 UTC
Created attachment 77942 [details]
Patch to introduce vertical alignment gui for dialog editor

Recent xdl file filter supports dlg:valign attribute for fixed text and other controls. 
Now we can enable vertical alignment control on the property browser executed 
from the dialog editor.
Comment 9 SVN Robot 2015-01-30 14:12:28 UTC
"hanya" committed SVN revision 1656017 into trunk:
#i67663# add vertical alighment on property UI
Comment 10 hanya 2015-01-30 14:21:24 UTC
Fixed on trunk.

To verify this, 
- open Basic IDE
- create a dialog and create label control on it
- select the label control and double click on it to open the property browser
- Vert. Alignment is shown
-> the property should be changed with it